Skip to content
Documentation sections

Get Vessels in port

GET /ports/{unlocode}/vessels-in-port on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.

Retrieve a list of vessels currently in the specified port

Path parameters

stringrequired

UN/LOCODE of the port

Responses

Body: application/json, array of object.

FieldTypeRequiredDescription
[].namestring, nullableNoVessel name.
[].imostring, nullableNoInternational Maritime Organization number.
[].mmsistringNoMaritime Mobile Service Identity.
[].shipTypestring, nullableNoType of ship.
[].idstringNoVeesel's id.

Example response body:

[
  {
    "name": "CMA CGM COLUMBA",
    "imo": 9410789,
    "mmsi": 215249000,
    "shipType": "Cargo",
    "id": "c038b31f-ad40-3ef1-93aa-a6151330d833"
  }
]